diff --git a/CMakeLists.txt b/CMakeLists.txt
index ede97c74d..e489dc920 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -423,6 +423,7 @@ elseif( UNIX AND NOT APPLE )
   else()
     set(ARCH_COMPILE_OPTIONS
       -msse2
+      -Wno-implicit-int-float-conversion
       -Werror 
       "-D_aligned_malloc(x,a)=malloc(x)"
       "-D_aligned_free(x)=free(x)"
diff --git a/azure-pipelines.yml b/azure-pipelines.yml
index caeb424ea..84e200967 100644
--- a/azure-pipelines.yml
+++ b/azure-pipelines.yml
@@ -38,6 +38,13 @@ jobs:
         imageName: 'ubuntu-18.04'
         isLinux: True
         linuxProject: vst3
+      linux-vst3-ub20:
+        imageName: 'ubuntu-20.04'
+        isLinux: True
+        linuxProject: vst3
+      linux-clang:
+        imageName: 'ubuntu-20.04'
+        isLinuxClang: True
       linux-vst3-ubuntu-16:
         imageName: 'ubuntu-16.04'
         isLinux: True
@@ -169,6 +176,22 @@ jobs:
     condition: variables.isLinux
     displayName: linux - build plugin
 
+  - bash: |
+      sudo apt-get install -y xcb
+      sudo apt-get install -y libxcb-util-dev
+      sudo apt-get install -y libxcb-cursor-dev
+      sudo apt-get install -y libxcb-keysyms1-dev
+      sudo apt-get install -y libxkbcommon-dev
+      sudo apt-get install -y libxkbcommon-x11-dev
+      sudo apt-get install -y devscripts
+      sudo apt-get install -y clang
+
+      cmake -Bbuild -DCMAKE_C_COMPILER=clang -DCMAKE_CXX_COMPILER=clang++
+      cmake --build build --config Release 
+
+    condition: variables.isLinuxClang
+    displayName: linux - clang
+
   - bash: |
       sudo apt-get update
       sudo apt-get install -y xcb
diff --git a/src/lv2/SurgeLv2Export.cpp b/src/lv2/SurgeLv2Export.cpp
index a472c3c5b..75abe1718 100644
--- a/src/lv2/SurgeLv2Export.cpp
+++ b/src/lv2/SurgeLv2Export.cpp
@@ -155,7 +155,8 @@ void lv2_generate_ttl(const char* baseName)
               "    lv2:requiredFeature ui:idleInterface ,\n"
               "                        <" LV2_INSTANCE_ACCESS_URI "> ;\n"
               "    opts:supportedOption ui:scaleFactor ;\n";
-              "    lv2:extensionData ui:idleInterface .\n";
+              // This was in the code but unused so I commented it out rather than include it
+              //"    lv2:extensionData ui:idleInterface .\n";
    }
 }
 
